Loading...
Searching...
No Matches
gtsam::IterativeOptimizationParameters Class Reference

## Detailed Description

parameters for iterative linear solvers

Inheritance diagram for gtsam::IterativeOptimizationParameters:

## Public Member Functions

| IterativeOptimizationParameters (Verbosity v=SILENT)
Verbosity | verbosity () const
GTSAM_EXPORT std::string | getVerbosity () const
GTSAM_EXPORT void | setVerbosity (const std::string &s)
GTSAM_EXPORT void | print () const
virtual GTSAM_EXPORT void | print (std::ostream &os) const

## Static Public Member Functions

static GTSAM_EXPORT Verbosity | verbosityTranslator (const std::string &s)
static GTSAM_EXPORT std::string | verbosityTranslator (Verbosity v)

## Public Attributes

enum gtsam::IterativeOptimizationParameters::Verbosity | verbosity_

## Public Types

enum | Verbosity { SILENT = 0 , COMPLEXITY , ERROR }
typedef boost::shared_ptr< IterativeOptimizationParameters > | shared_ptr

## Friends

std::ostream & | operator<< (std::ostream &os, const IterativeOptimizationParameters &p)

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/IterativeSolver.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/IterativeSolver.cpp